## arduino-cli 1.2.2

=== debian/changelog ===
arduino-cli (1.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #1100073)

 -- Matthias Geiger <werdahias@debian.org>  Sun, 28 Dec 2025 22:12:01 +0100
