=== debian/control ===
Source: arduino-cli
Section: golang
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Matthias Geiger <werdahias@debian.org>, Christopher Obbard <obbardc@debian.org>, Nicolas Peugnet <nicolas@club1.fr>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dh-shell-completions,
 golang-any,
 golang-bugst-cleanup-dev,
 golang-bugst-downloader-dev,
 golang-bugst-f-dev,
 golang-bugst-relaxed-semver-dev,
 golang-bugst-testifyjson-dev <!nocheck>,
 golang-fortio-safecast-dev,
 golang-github-arduino-go-paths-helper-dev,
 golang-github-arduino-go-properties-orderedmap-dev,
 golang-github-arduino-go-serial-utils-dev,
 golang-github-arduino-go-timeutils-dev,
 golang-github-arduino-pluggable-discovery-protocol-handler-dev,
 golang-github-arduino-pluggable-monitor-protocol-handler-dev,
 golang-github-codeclysm-extract-dev,
 golang-github-djherbis-buffer-dev,
 golang-github-djherbis-nio-dev,
 golang-github-fatih-color-dev,
 golang-github-go-git-go-git-dev,
 golang-github-gofrs-uuid-dev,
 golang-github-leonelquinteros-gotext-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-marcinbor85-gohex-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-rifflock-lfshook-dev,
 golang-github-rogpeppe-go-internal-dev,
 golang-github-schollz-closestmatch-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-github-stretchr-testify-dev,
 golang-github-xeipuuv-gojsonschema-dev <!nocheck>,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
 golang-google-genproto-dev,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 golang-gopkg-cheggaaa-pb.v1-dev,
 golang-gopkg-yaml.v3-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino-cli
Vcs-Git: https://salsa.debian.org/electronics-team/packages/arduino-cli.git
Homepage: https://github.com/arduino/arduino-cli
XS-Go-Import-Path: github.com/arduino/arduino-cli

Package: golang-github-arduino-arduino-cli-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-bugst-cleanup-dev,
 golang-bugst-downloader-dev,
 golang-bugst-f-dev,
 golang-bugst-relaxed-semver-dev,
 golang-fortio-safecast-dev,
 golang-github-arduino-go-paths-helper-dev,
 golang-github-arduino-go-properties-orderedmap-dev,
 golang-github-arduino-go-serial-utils-dev,
 golang-github-arduino-go-timeutils-dev,
 golang-github-arduino-pluggable-discovery-protocol-handler-dev,
 golang-github-arduino-pluggable-monitor-protocol-handler-dev,
 golang-github-codeclysm-extract-dev,
 golang-github-djherbis-buffer-dev,
 golang-github-djherbis-nio-dev,
 golang-github-fatih-color-dev,
 golang-github-go-git-go-git-dev,
 golang-github-gofrs-uuid-dev,
 golang-github-leonelquinteros-gotext-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-marcinbor85-gohex-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-rifflock-lfshook-dev,
 golang-github-rogpeppe-go-internal-dev,
 golang-github-schollz-closestmatch-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
 golang-google-genproto-dev,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 golang-gopkg-cheggaaa-pb.v1-dev,
 golang-gopkg-yaml.v3-dev,
 ${misc:Depends},
Description: Arduino command line tool (library)
 arduino-cli is a tool to connect, flash and program arduino AVR
 microcontrolllers. It supports compiling sketches, downloading of
 libraries, and uploading the bootloader.
 .
 This package contains the Go library.

Package: arduino-cli
Section: electronics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Arduino command line tool (program)
 arduino-cli is a tool to connect, flash and program arduino AVR
 microcontrolllers. It supports compiling sketches, downloading of
 libraries, and uploading the bootloader.
 .
 For a full overview please refer to arduino-cli(1).
 .
 This package contains the commandline tool.
