=== debian/watch ===
Version: 5

Template: Github
Owner: arduino
Project: arduino-cli
Uversion-Mangle: auto
