## arduino-cli 1.4.1

=== debian/changelog ===
arduino-cli (1.4.1-1) experimental; urgency=medium

  [ Nicolas Peugnet ]
  * Fix VCS Git URL
  * Only select stable versions in debian/watch

  [ Matthias Geiger ]
  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Fri, 27 Feb 2026 17:34:52 +0100
