=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino-cli
-Vcs-Git: https://salsa.debian.org/electronics-team/packages/arduino-cli.git
+Vcs-Git: https://salsa.debian.org/electronics-team/arduino/arduino-cli.git
 Homepage: https://github.com/arduino/arduino-cli
 XS-Go-Import-Path: github.com/arduino/arduino-cli
