=== debian/watch ===
Version: 5

Template: Github
Owner: arduino
Project: arduino-cli
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v?(\d[\d\.]*)
